Subject: Re: [PATCH v3 00/11] reftable: expose write options as config

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 22 May 2024 09:19:44 +0200

On Tue, May 21, 2024 at 06:54:33PM -0500, Justin Tobler wrote:
> On 24/05/13 10:17AM, Patrick Steinhardt wrote:
> > Hi,
> > 
> > this is the third version of my patch series that exposes several write
> > options of the reftable library via Git configs.
> > 
> > Changes compared to v2:
> > 
> >   - Adapted patch 2 such that we now pass options as const pointers
> >     instead of by value.
> > 
> >   - Removed a confusing sentence in the documentation of the restart
> >     points in patch 8.
> > 
> > Other than that I decided to rebase this on top of the current "master"
> > branch at 0f3415f1f8 (The second batch, 2024-05-08). This is because the
> > revamped patch 2 would cause new conflicts with 485c63cf5c (reftable:
> > remove name checks, 2024-04-08) that didn't exist in v2 of this patch
> > series yet. Rebasing thus seemed like the more reasonable option.
> 
> Thanks Patrick! I reviewed this version and left a couple
> comments/questions, but nothing that would neccessitate a reroll. :)

Thanks for your review! As mentioned, I agree that there is no strong
motivator to reroll this series as the only changes would be a typo fix
in the second patch.

Patrick